package com.acmebank.main;

import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStreamReader;
import java.net.MalformedURLException;
import java.net.URL;
import java.net.URLConnection;

public class AlertListener {

	public static void main(String[] args) throws MalformedURLException,
			IOException {
		System.out.println("Registering for alerts...");
		URL acmeBankAlerts = new URL(
				"http://localhost:8080/acme-bank/alerts?account=1111AAA");
		URLConnection connection = acmeBankAlerts.openConnection();
		connection.setAllowUserInteraction(false);
		connection.setDoOutput(true);
		connection.addRequestProperty("Connection", "close");

		BufferedReader reader = new BufferedReader(new InputStreamReader(
				connection.getInputStream()));
		String inputLine;

		while ((inputLine = reader.readLine()) != null) {
			System.err.println(inputLine);
		}

		System.out.println("Exiting alert listener...");
		reader.close();
	}
}
